import Vue from '../src/utils/permit';
import ElementUI from 'element-ui';


import 'element-ui/lib/theme-chalk/index.css'
import 'normalize.css/normalize.css' // a modern alternative to CSS resets
import '../src/styles/element-variables.scss'
import '../src/styles/index.scss' // global css
import '../src/styles/style.scss' // global css

import App from './App.vue'
import '../src/icons' // icon

import store from '../src/store'
import router from '../src/router'
import './router'
import "../src/router/permission"


Vue.use(ElementUI);

import config from 'gcloud-core-vue/src/core/config.js'
import {tokenOpts,tokenStreamOpts} from '../src/grpc/token'
import {oauthOpts} from '../src/grpc/oauth'
Vue.config.productionTip = false
console.log(process.env);
config.oauthOpts = oauthOpts;
config.baseOpts = tokenOpts;
config.baseStreamOpts = tokenStreamOpts;
config.baseUrl = process.env.VUE_APP_BASE_API;
config.oauthUrl = process.env.VUE_APP_OAUTH_API;

console.log(config);

store.dispatch('settings/title',process.env.VUE_APP_TITLE);
store.dispatch('settings/shortTitle',process.env.VUE_APP_SHORT_TITLE);
store.dispatch('settings/logo',require(process.env.VUE_APP_LOGO));
document.title = process.env.VUE_APP_TITLE;


import GcloudFile from 'gcloud-file-vue/src/index.js'
import GcloudOAuth  from '../src/index.js'
Vue.use(GcloudFile,config);
Vue.use(GcloudOAuth,config)

new Vue({
  Vue,
  router,
  store,
  render: h => h(App),
}).$mount('#app')
