/**
 * @fileoverview gRPC-Web generated client stub for gcloud.oauth
 * @enhanceable
 * @public
 */

// GENERATED CODE -- DO NOT EDIT!


/* eslint-disable */
// @ts-nocheck



const grpc = {};
grpc.web = require('grpc-web');


var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js')

var google_protobuf_empty_pb = require('google-protobuf/google/protobuf/empty_pb.js')

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js')
const proto = {};
proto.gcloud = {};
proto.gcloud.oauth = require('./oauth_pb.js');

/**
 * @param {string} hostname
 * @param {?Object} credentials
 * @param {?Object} options
 * @constructor
 * @struct
 * @final
 */
proto.gcloud.oauth.OauthClient =
    function(hostname, credentials, options) {
  if (!options) options = {};
  options['format'] = 'binary';

  /**
   * @private @const {!grpc.web.GrpcWebClientBase} The client
   */
  this.client_ = new grpc.web.GrpcWebClientBase(options);

  /**
   * @private @const {string} The hostname
   */
  this.hostname_ = hostname;

};


/**
 * @param {string} hostname
 * @param {?Object} credentials
 * @param {?Object} options
 * @constructor
 * @struct
 * @final
 */
proto.gcloud.oauth.OauthPromiseClient =
    function(hostname, credentials, options) {
  if (!options) options = {};
  options['format'] = 'binary';

  /**
   * @private @const {!grpc.web.GrpcWebClientBase} The client
   */
  this.client_ = new grpc.web.GrpcWebClientBase(options);

  /**
   * @private @const {string} The hostname
   */
  this.hostname_ = hostname;

};


/**
 * @const
 * @type {!grpc.web.MethodDescriptor<
 *   !proto.gcloud.oauth.OAuthPassword,
 *   !proto.gcloud.oauth.OAuthAccessToken>}
 */
const methodDescriptor_Oauth_authorizePwd = new grpc.web.MethodDescriptor(
  '/gcloud.oauth.Oauth/authorizePwd',
  grpc.web.MethodType.UNARY,
  proto.gcloud.oauth.OAuthPassword,
  proto.gcloud.oauth.OAuthAccessToken,
  /**
   * @param {!proto.gcloud.oauth.OAuthPassword} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  proto.gcloud.oauth.OAuthAccessToken.deserializeBinary
);


/**
 * @const
 * @type {!grpc.web.AbstractClientBase.MethodInfo<
 *   !proto.gcloud.oauth.OAuthPassword,
 *   !proto.gcloud.oauth.OAuthAccessToken>}
 */
const methodInfo_Oauth_authorizePwd = new grpc.web.AbstractClientBase.MethodInfo(
  proto.gcloud.oauth.OAuthAccessToken,
  /**
   * @param {!proto.gcloud.oauth.OAuthPassword} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  proto.gcloud.oauth.OAuthAccessToken.deserializeBinary
);


/**
 * @param {!proto.gcloud.oauth.OAuthPassword} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @param {function(?grpc.web.Error, ?proto.gcloud.oauth.OAuthAccessToken)}
 *     callback The callback function(error, response)
 * @return {!grpc.web.ClientReadableStream<!proto.gcloud.oauth.OAuthAccessToken>|undefined}
 *     The XHR Node Readable Stream
 */
proto.gcloud.oauth.OauthClient.prototype.authorizePwd =
    function(request, metadata, callback) {
  return this.client_.rpcCall(this.hostname_ +
      '/gcloud.oauth.Oauth/authorizePwd',
      request,
      metadata || {},
      methodDescriptor_Oauth_authorizePwd,
      callback);
};


/**
 * @param {!proto.gcloud.oauth.OAuthPassword} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @return {!Promise<!proto.gcloud.oauth.OAuthAccessToken>}
 *     Promise that resolves to the response
 */
proto.gcloud.oauth.OauthPromiseClient.prototype.authorizePwd =
    function(request, metadata) {
  return this.client_.unaryCall(this.hostname_ +
      '/gcloud.oauth.Oauth/authorizePwd',
      request,
      metadata || {},
      methodDescriptor_Oauth_authorizePwd);
};


/**
 * @const
 * @type {!grpc.web.MethodDescriptor<
 *   !proto.gcloud.oauth.OAuthPasswordVerifyCode,
 *   !proto.gcloud.oauth.OAuthAccessToken>}
 */
const methodDescriptor_Oauth_authorizePwdVerify = new grpc.web.MethodDescriptor(
  '/gcloud.oauth.Oauth/authorizePwdVerify',
  grpc.web.MethodType.UNARY,
  proto.gcloud.oauth.OAuthPasswordVerifyCode,
  proto.gcloud.oauth.OAuthAccessToken,
  /**
   * @param {!proto.gcloud.oauth.OAuthPasswordVerifyCode} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  proto.gcloud.oauth.OAuthAccessToken.deserializeBinary
);


/**
 * @const
 * @type {!grpc.web.AbstractClientBase.MethodInfo<
 *   !proto.gcloud.oauth.OAuthPasswordVerifyCode,
 *   !proto.gcloud.oauth.OAuthAccessToken>}
 */
const methodInfo_Oauth_authorizePwdVerify = new grpc.web.AbstractClientBase.MethodInfo(
  proto.gcloud.oauth.OAuthAccessToken,
  /**
   * @param {!proto.gcloud.oauth.OAuthPasswordVerifyCode} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  proto.gcloud.oauth.OAuthAccessToken.deserializeBinary
);


/**
 * @param {!proto.gcloud.oauth.OAuthPasswordVerifyCode} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @param {function(?grpc.web.Error, ?proto.gcloud.oauth.OAuthAccessToken)}
 *     callback The callback function(error, response)
 * @return {!grpc.web.ClientReadableStream<!proto.gcloud.oauth.OAuthAccessToken>|undefined}
 *     The XHR Node Readable Stream
 */
proto.gcloud.oauth.OauthClient.prototype.authorizePwdVerify =
    function(request, metadata, callback) {
  return this.client_.rpcCall(this.hostname_ +
      '/gcloud.oauth.Oauth/authorizePwdVerify',
      request,
      metadata || {},
      methodDescriptor_Oauth_authorizePwdVerify,
      callback);
};


/**
 * @param {!proto.gcloud.oauth.OAuthPasswordVerifyCode} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @return {!Promise<!proto.gcloud.oauth.OAuthAccessToken>}
 *     Promise that resolves to the response
 */
proto.gcloud.oauth.OauthPromiseClient.prototype.authorizePwdVerify =
    function(request, metadata) {
  return this.client_.unaryCall(this.hostname_ +
      '/gcloud.oauth.Oauth/authorizePwdVerify',
      request,
      metadata || {},
      methodDescriptor_Oauth_authorizePwdVerify);
};


/**
 * @const
 * @type {!grpc.web.MethodDescriptor<
 *   !proto.google.protobuf.StringValue,
 *   !proto.gcloud.oauth.OAuthAccessToken>}
 */
const methodDescriptor_Oauth_refreshToken = new grpc.web.MethodDescriptor(
  '/gcloud.oauth.Oauth/refreshToken',
  grpc.web.MethodType.UNARY,
  google_protobuf_wrappers_pb.StringValue,
  proto.gcloud.oauth.OAuthAccessToken,
  /**
   * @param {!proto.google.protobuf.StringValue} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  proto.gcloud.oauth.OAuthAccessToken.deserializeBinary
);


/**
 * @const
 * @type {!grpc.web.AbstractClientBase.MethodInfo<
 *   !proto.google.protobuf.StringValue,
 *   !proto.gcloud.oauth.OAuthAccessToken>}
 */
const methodInfo_Oauth_refreshToken = new grpc.web.AbstractClientBase.MethodInfo(
  proto.gcloud.oauth.OAuthAccessToken,
  /**
   * @param {!proto.google.protobuf.StringValue} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  proto.gcloud.oauth.OAuthAccessToken.deserializeBinary
);


/**
 * @param {!proto.google.protobuf.StringValue} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @param {function(?grpc.web.Error, ?proto.gcloud.oauth.OAuthAccessToken)}
 *     callback The callback function(error, response)
 * @return {!grpc.web.ClientReadableStream<!proto.gcloud.oauth.OAuthAccessToken>|undefined}
 *     The XHR Node Readable Stream
 */
proto.gcloud.oauth.OauthClient.prototype.refreshToken =
    function(request, metadata, callback) {
  return this.client_.rpcCall(this.hostname_ +
      '/gcloud.oauth.Oauth/refreshToken',
      request,
      metadata || {},
      methodDescriptor_Oauth_refreshToken,
      callback);
};


/**
 * @param {!proto.google.protobuf.StringValue} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @return {!Promise<!proto.gcloud.oauth.OAuthAccessToken>}
 *     Promise that resolves to the response
 */
proto.gcloud.oauth.OauthPromiseClient.prototype.refreshToken =
    function(request, metadata) {
  return this.client_.unaryCall(this.hostname_ +
      '/gcloud.oauth.Oauth/refreshToken',
      request,
      metadata || {},
      methodDescriptor_Oauth_refreshToken);
};


/**
 * @const
 * @type {!grpc.web.MethodDescriptor<
 *   !proto.gcloud.oauth.SendSmsReq,
 *   !proto.google.protobuf.BoolValue>}
 */
const methodDescriptor_Oauth_sendSms = new grpc.web.MethodDescriptor(
  '/gcloud.oauth.Oauth/sendSms',
  grpc.web.MethodType.UNARY,
  proto.gcloud.oauth.SendSmsReq,
  google_protobuf_wrappers_pb.BoolValue,
  /**
   * @param {!proto.gcloud.oauth.SendSmsReq} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  google_protobuf_wrappers_pb.BoolValue.deserializeBinary
);


/**
 * @const
 * @type {!grpc.web.AbstractClientBase.MethodInfo<
 *   !proto.gcloud.oauth.SendSmsReq,
 *   !proto.google.protobuf.BoolValue>}
 */
const methodInfo_Oauth_sendSms = new grpc.web.AbstractClientBase.MethodInfo(
  google_protobuf_wrappers_pb.BoolValue,
  /**
   * @param {!proto.gcloud.oauth.SendSmsReq} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  google_protobuf_wrappers_pb.BoolValue.deserializeBinary
);


/**
 * @param {!proto.gcloud.oauth.SendSmsReq} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @param {function(?grpc.web.Error, ?proto.google.protobuf.BoolValue)}
 *     callback The callback function(error, response)
 * @return {!grpc.web.ClientReadableStream<!proto.google.protobuf.BoolValue>|undefined}
 *     The XHR Node Readable Stream
 */
proto.gcloud.oauth.OauthClient.prototype.sendSms =
    function(request, metadata, callback) {
  return this.client_.rpcCall(this.hostname_ +
      '/gcloud.oauth.Oauth/sendSms',
      request,
      metadata || {},
      methodDescriptor_Oauth_sendSms,
      callback);
};


/**
 * @param {!proto.gcloud.oauth.SendSmsReq} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @return {!Promise<!proto.google.protobuf.BoolValue>}
 *     Promise that resolves to the response
 */
proto.gcloud.oauth.OauthPromiseClient.prototype.sendSms =
    function(request, metadata) {
  return this.client_.unaryCall(this.hostname_ +
      '/gcloud.oauth.Oauth/sendSms',
      request,
      metadata || {},
      methodDescriptor_Oauth_sendSms);
};


/**
 * @const
 * @type {!grpc.web.MethodDescriptor<
 *   !proto.gcloud.oauth.VerifyUserPhoneReq,
 *   !proto.google.protobuf.StringValue>}
 */
const methodDescriptor_Oauth_verifyUserPhone = new grpc.web.MethodDescriptor(
  '/gcloud.oauth.Oauth/verifyUserPhone',
  grpc.web.MethodType.UNARY,
  proto.gcloud.oauth.VerifyUserPhoneReq,
  google_protobuf_wrappers_pb.StringValue,
  /**
   * @param {!proto.gcloud.oauth.VerifyUserPhoneReq} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  google_protobuf_wrappers_pb.StringValue.deserializeBinary
);


/**
 * @const
 * @type {!grpc.web.AbstractClientBase.MethodInfo<
 *   !proto.gcloud.oauth.VerifyUserPhoneReq,
 *   !proto.google.protobuf.StringValue>}
 */
const methodInfo_Oauth_verifyUserPhone = new grpc.web.AbstractClientBase.MethodInfo(
  google_protobuf_wrappers_pb.StringValue,
  /**
   * @param {!proto.gcloud.oauth.VerifyUserPhoneReq} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  google_protobuf_wrappers_pb.StringValue.deserializeBinary
);


/**
 * @param {!proto.gcloud.oauth.VerifyUserPhoneReq} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @param {function(?grpc.web.Error, ?proto.google.protobuf.StringValue)}
 *     callback The callback function(error, response)
 * @return {!grpc.web.ClientReadableStream<!proto.google.protobuf.StringValue>|undefined}
 *     The XHR Node Readable Stream
 */
proto.gcloud.oauth.OauthClient.prototype.verifyUserPhone =
    function(request, metadata, callback) {
  return this.client_.rpcCall(this.hostname_ +
      '/gcloud.oauth.Oauth/verifyUserPhone',
      request,
      metadata || {},
      methodDescriptor_Oauth_verifyUserPhone,
      callback);
};


/**
 * @param {!proto.gcloud.oauth.VerifyUserPhoneReq} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @return {!Promise<!proto.google.protobuf.StringValue>}
 *     Promise that resolves to the response
 */
proto.gcloud.oauth.OauthPromiseClient.prototype.verifyUserPhone =
    function(request, metadata) {
  return this.client_.unaryCall(this.hostname_ +
      '/gcloud.oauth.Oauth/verifyUserPhone',
      request,
      metadata || {},
      methodDescriptor_Oauth_verifyUserPhone);
};


/**
 * @const
 * @type {!grpc.web.MethodDescriptor<
 *   !proto.gcloud.oauth.ResetUserPwdReq,
 *   !proto.google.protobuf.BoolValue>}
 */
const methodDescriptor_Oauth_resetUserPwd = new grpc.web.MethodDescriptor(
  '/gcloud.oauth.Oauth/resetUserPwd',
  grpc.web.MethodType.UNARY,
  proto.gcloud.oauth.ResetUserPwdReq,
  google_protobuf_wrappers_pb.BoolValue,
  /**
   * @param {!proto.gcloud.oauth.ResetUserPwdReq} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  google_protobuf_wrappers_pb.BoolValue.deserializeBinary
);


/**
 * @const
 * @type {!grpc.web.AbstractClientBase.MethodInfo<
 *   !proto.gcloud.oauth.ResetUserPwdReq,
 *   !proto.google.protobuf.BoolValue>}
 */
const methodInfo_Oauth_resetUserPwd = new grpc.web.AbstractClientBase.MethodInfo(
  google_protobuf_wrappers_pb.BoolValue,
  /**
   * @param {!proto.gcloud.oauth.ResetUserPwdReq} request
   * @return {!Uint8Array}
   */
  function(request) {
    return request.serializeBinary();
  },
  google_protobuf_wrappers_pb.BoolValue.deserializeBinary
);


/**
 * @param {!proto.gcloud.oauth.ResetUserPwdReq} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @param {function(?grpc.web.Error, ?proto.google.protobuf.BoolValue)}
 *     callback The callback function(error, response)
 * @return {!grpc.web.ClientReadableStream<!proto.google.protobuf.BoolValue>|undefined}
 *     The XHR Node Readable Stream
 */
proto.gcloud.oauth.OauthClient.prototype.resetUserPwd =
    function(request, metadata, callback) {
  return this.client_.rpcCall(this.hostname_ +
      '/gcloud.oauth.Oauth/resetUserPwd',
      request,
      metadata || {},
      methodDescriptor_Oauth_resetUserPwd,
      callback);
};


/**
 * @param {!proto.gcloud.oauth.ResetUserPwdReq} request The
 *     request proto
 * @param {?Object<string, string>} metadata User defined
 *     call metadata
 * @return {!Promise<!proto.google.protobuf.BoolValue>}
 *     Promise that resolves to the response
 */
proto.gcloud.oauth.OauthPromiseClient.prototype.resetUserPwd =
    function(request, metadata) {
  return this.client_.unaryCall(this.hostname_ +
      '/gcloud.oauth.Oauth/resetUserPwd',
      request,
      metadata || {},
      methodDescriptor_Oauth_resetUserPwd);
};


module.exports = proto.gcloud.oauth;

