import { Message } from 'element-ui'
import {MsgStatus} from './status.js'
import router from '../router/index'
import store from "../store/index"

/**  OAuth2.0 interceptor implementation */
const OauthUnaryInterceptor = function() {};

OauthUnaryInterceptor.prototype.intercept = function(request, invoker) {
  //公开的客户端编码
  let publicClient = "basic TestClient:694f956fe6ccfbb2e2905f1da3f00ddc7cf72737a7bab7bfe09f8cf6b13178e679bb3e699d1a2709";
  request.getMetadata()['Authorization'] = publicClient;

  // console.debug("metadata:",request.getMetadata());

  return invoker(request).catch(err=>{
    console.log(err);
    //未认证成功
    if (MsgStatus.UNAUTHENTICATED===err.code){
        store.dispatch('user/resetToken')
        .then(()=>{
            router.push({path:"/login"}).catch(err => err);
        })
        throw err;
    }else{
      Message({
        message: err.message,
        type: 'error',
        duration: 5 * 1000
      });
      throw err;
    }
  });
};
const oauthOpts = {'unaryInterceptors' : [new OauthUnaryInterceptor()]};

export { oauthOpts,OauthUnaryInterceptor};