import variables from '../../styles/element-variables.scss'
import defaultSettings from '../../settings'

const { showSettings, tagsView, fixedHeader, sidebarLogo } = defaultSettings

const state = {
  title: defaultSettings.title,
  shortTitle : defaultSettings.shortTitle,
  logo : defaultSettings.logo,
  theme: variables.theme,
  showSettings: showSettings,
  tagsView: tagsView,
  fixedHeader: fixedHeader,
  sidebarLogo: sidebarLogo
}

const mutations = {
  CHANGE_SETTING: (state, { key, value }) => {
    // eslint-disable-next-line no-prototype-builtins
    if (state.hasOwnProperty(key)) {
      state[key] = value
    }
  }
}

const actions = {
  changeSetting({ commit }, data) {
    commit('CHANGE_SETTING', data)
  },
  title({ commit }, data){
    commit('CHANGE_SETTING', {key:'title' , value:data})
  },
  shortTitle({ commit }, data){
    commit('CHANGE_SETTING', {key:'shortTitle' ,value:data})
  },
  logo({ commit }, data){
    commit('CHANGE_SETTING', {key:'logo' ,value: data})
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

