import Vue from 'vue'
import Store from '../store/index'
// 自定义指令
//权限判断
Vue.directive('hasPermission',{
  bind : function(el,binding){
    Store.dispatch("permit/hasPermission",binding.value)
    .then( r =>{
        if (!r){
          el.parentNode.removeChild(el);
        }
    }).catch( err=>{
        console.log(err);
        el.parentNode.removeChild(el);
    });
  }
})
//不包含权限显示
Vue.directive('lacksPermission',{
  bind : function(el,binding){
    Store.dispatch("permit/hasPermission",binding.value)
    .then( r =>{
        if (r){
          el.parentNode.removeChild(el);
        }
    }).catch( err=>{
        console.log(err);
    });
  }
})
//角色判断
Vue.directive('hasRole',{
  bind : function(el,binding){
    Store.dispatch("permit/hasRole",binding.value)
    .then( r =>{
        if (!r){
          el.parentNode.removeChild(el);
        }
    }).catch( err=>{
        console.log(err);
        el.parentNode.removeChild(el);
    });
  }
})



export default Vue;