

const NODE_ENV = process.env.NODE_ENV
const path = require('path')

function resolve(dir) {
  return path.join(__dirname, dir)
}

module.exports = {
    // 修改 pages 入口
    pages: {
      index: {
        entry: NODE_ENV == 'development'?'./examples/main.js':'./src/index.js', // 入口
        template: 'examples/index.html', // 模板
        filename: 'index.html' // 输出文件
      }
    },
    configureWebpack: {
      output: {
        libraryExport: 'default'
      }
    },
    chainWebpack(config) {
          // set svg-sprite-loader
        config.module
        .rule('svg')
        .exclude.add(resolve('src/icons'))
        .end()
        config.module
        .rule('icons')
        .test(/\.svg$/)
        .include.add(resolve('src/icons'))
        .end()
        .use('svg-sprite-loader')
        .loader('svg-sprite-loader')
        .options({
          symbolId: 'icon-[name]'
        })
        .end()
    }
}